<html>
<head>
	<script language="JavaScript">
		function checkpostal(){
			var re4digit=/^[a-zA-Z0-9]{3,}$/;    
			if (document.forms['myform'].myinput.value.search(re4digit)==-1){
				alert("Please enter a valid characters.");
				return false;
			}
		}
    </script> 
</head>

<body>
	<form name="myform" onSubmit="return checkpostal();">
    	<input type="text" name="myinput" size=15>
    	<input type="submit" value="Check">
    </form>
</body>
</html>
